Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface PaymentTransactionHome

All Superinterfaces
  javax.ejb.EJBHome, Remote, SmartEJBHome, SmartHome

Deprecated

    @Deprecated
    public interface PaymentTransactionHome

extends SmartEJBHome

The home interface for the PaymentTransaction entity bean. Use this class to create, remove, and find PaymentTransaction entity beans.

Method Summary
`PaymentTransaction` | `create(PaymentTransactionPk paymentTransactionPk)` Deprecated Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`PaymentTransaction` | `findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)` Deprecated Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`Collection` | `findByStatus(String status)` Deprecated Finds transactions by status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    PaymentTransaction create(PaymentTransactionPk paymentTransactionPk)
                              throws javax.ejb.CreateException,
                                     RemoteException

  Deprecated
  Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    PaymentTransaction findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)
                                        throws RemoteException,
                                               javax.ejb.FinderException

  Deprecated
  Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findByStatus

    Collection findByStatus(String status)
                            throws RemoteException,
                                   javax.ejb.FinderException

  Deprecated
  Finds transactions by status. Valid states are those defined in the `PaymentWorkflow` state machine.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.